<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Contratti;
use App\Models\GenDoc;
use Carbon\Carbon;

class ContrattiController extends Controller
{
    //
    public function contratti()
    {
        return view('contratti.lista',['data'=>Contratti::getAllContratto()]);
    }

    public function newContratto(Request $request) 
    {
       // Contratti::storeContratto($request); 
       //dd($request);
       if (isset($request['filename'])) {
       $filename = $request->file('filename')->store('Contratti');
       }else{
        $filename=null;
       }
       Contratti::create([
                'numero'=>$request['numero'],
                'nome'=>$request['nome'],
                'datainizio'=>date_format(date_create($request['datainizio']),'Y-m-d'),
                'datatermine'=>date_format(date_create($request['datatermine']),'Y-m-d'),
                'fornitore'=>$request['fornitore'],
                'tipo'=>$request['tipo'],
                'importo'=>$request['importo'],
                'scadenzapagamento'=>date_format(date_create($request['scadenzapagamento']),'Y-m-d'),
                'stato'=>$request['stato'],
                'note'=>$request['note'],
                'filename'=>$filename,
            ]);
        return redirect()->back(); 
    }
    /* */

    public function schedaContratto($id)
    {
        $contratto = Contratti::getContrattoById($id);
        return view('contratti.detail',[
            'contratto'=>$contratto, 
            'docs' => \App\Models\GenDoc::listDocument(1,$id)
        ]);
    }

    public function documentDelete(Request $id)
    {
      // return dd($id);
       //   $entity=1;
        $contratto=GenDoc::find($id['id']);
        if(file_exists('/storage/'.$contratto->filename))
        {
            unlink('storage/'.$contratto->filename);
        }
        GenDoc::find($id['id'])->delete();
        return redirect('/admin/contratti/'.$id['entity_id']);
    }
}
